Public Class Form1


    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        ' Tworzymy nowy przełacznik klasy CheckBox.
        Dim CheckStrip As New CheckBox()

        ' Set the CheckBox so it takes the size of its text.
        ' Przełacznik automatycznie dostosowuje się do umieszczonego tekstu.
        CheckStrip.AutoSize = True
        CheckStrip.Text = "Przykładowy CheckBox dodany do paska menu"

        ' Make sure the CheckbBox is transparent (so the 
        ' ToolStrip gradient background shows through).
        ' Transparentny CheckBox powoduje, że spod niego widać pasek menu.
        CheckStrip.BackColor = Color.FromArgb(0, 255, 0, 0)

        ' Create the ToolStripControlHost that wraps the CheckBox.
        ' Tworzymy Host menu, który powoduje, że CheckBox ulega przełamaniu
        ' w menu po zwężeniu okna.
        Dim CheckStripHost As New ToolStripControlHost(CheckStrip)
        CheckStripHost.AutoSize = True

        ' Add the wrapped CheckBox.
        ' Dodaj nadmiarowy CheckBox
        ToolStrip1.Items.Add(CheckStripHost)

    End Sub

    ' Obsługa plecenia New z menu:
    Private Sub NewToolStripButton_Click(ByVal sender As System.Object, _
  ByVal e As System.EventArgs) Handles NewToolStripButton.Click
        Dim item As ToolStripItem = CType(sender, ToolStripItem)
        MessageBox.Show("Kliknąłeś " & item.Name)
    End Sub

End Class
